#ifndef _CAN_UART_H_
#define _CAN_UART_H_

#include "chip.h"
#include "board.h"
#include "string.h"
extern void UART_Init(void);


void db_putchar (uint8_t ch);
void DB_PutChar(uint8_t ch);
void DB_PutStr(const void *str);
void DB_PutHex (uint32_t hexnum, uint8_t type);
void DB_PutDec(uint32_t decnum);
void DB_PutCANMsgInfo (uint32_t * p_add);
uint8_t DB_GetChar(void);
//uint8_t* DB_GetString(uint8_t length);
uint8_t* DB_GetString(void);
#endif
